After switch to local ssl terminators, pagecounts-raw (C implementation of webstatscollector) overcounts HTTPS from some data-centers.
Closed, ResolvedPublic

Description

The merging of https://gerrit.wikimedia.org/r/#/c/175465/ changed the SSL setup of the caches, and makes
webstatscollector's C implementation count SSL requests twice.

QChris created this task.Dec 1 2014, 9:36 PM
QChris added a project: Analytics.
QChris changed Security from none to None.
QChris added a subscriber: QChris.

Change 177101 had a related patch set uploaded (by QChris):
Ignore traffic from cache-local SSL terminators

https://gerrit.wikimedia.org/r/177101

Patch-For-Review

Change 177224 had a related patch set uploaded (by QChris):
Ignore traffic from cache-local SSL terminators

https://gerrit.wikimedia.org/r/177224

Patch-For-Review

Change 177101 merged by Ottomata:
Ignore traffic from cache-local SSL terminators

https://gerrit.wikimedia.org/r/177101

Change 177224 merged by Ottomata:
Ignore traffic from cache-local SSL terminators

https://gerrit.wikimedia.org/r/177224

ottomata deployed the fixed webstatscollector between 2014-12-04T14:00:00 and 2014-12-04T14:03:00.
The corresponding refinery change to make implementations match again (although refinery is not affected by the overcounting) got deployed 2014-12-04T21:51.
Oozie will rerun pagecounts-all-sites from 2014-11-25T00 on. Those files will get filtered to backfill pagecount-raw.

QChris closed this task as "Resolved".Dec 8 2014, 10:50 PM

Backfilling is now complete.